Bug 119720 - kde5: Buttons in some dialogs only shown after repaint is triggered
Summary: kde5: Buttons in some dialogs only shown after repaint is triggered
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
: 123301 123448 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-09-06 08:54 UTC by Michael Weghorn
Modified: 2019-02-27 20:13 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the dialog with missing buttons (104.30 KB, image/png)
2018-09-06 08:56 UTC, Michael Weghorn
Details
Screenshot of document recovery dialog without buttons (24.60 KB, image/png)
2019-01-10 14:19 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-09-06 08:54:54 UTC
version: master build as of commit 1f5698ba8b62e62999b0efb363916a91bdd54c94
VCL: kde5 on X11 (other VCL plugins work fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) Start LibreOffice Writer
2) open "Tools" -> "Options" -> "LibreOfficeDev" -> "Security"
3) observe that there are several buttons on the right-hand side of the dialog
4) close the dialog using "Cancel"
5) open the same dialog again

Result:

The buttons that were visible in step 3) are not shown at first. They appear when triggering a repaint, e.g. by hovering the mouse over the place where they are supposed to be.

Expected result: Buttons should be shown at once when the dialog is opened.
Comment 1 Michael Weghorn 2018-09-06 08:56:06 UTC
Created attachment 144710 [details]
Screenshot showing the dialog with missing buttons
Comment 2 Katarina Behrens (Inactive) 2018-09-06 09:34:30 UTC
Can't confirm, I do see buttons at all times (although I've seen what you describe happening in the past)

master@41d213e96d4bad0997dc64147f70c6c0142ce8dd so 4 commits older but I don't see any of those missing commit making a difference
Comment 3 Thorsten Behrens (CIB) 2018-09-06 11:05:10 UTC
Neither can I :(
Comment 4 Jan-Marek Glogowski 2018-09-06 16:00:34 UTC
This is probably a Debian / newer Qt5 bug.

* I *can not* reproduce in my Ubuntu Bionic 18.04 chroot with either qt5 or kde5 backend. The chroot has Qt 5.9.5.
* I *can* reproduce the bug with Debian testing, which currently has Qt 5.11.1.

FWIW my build is done in the Bionic chroot, but runs just fine on Debian too.

The build is based on 

e75c8384c466 (origin/master, origin/HEAD) tdf#119036 - Inserting columns into RTL sheets will add them to the wrong side

but has some additional Windows fixes for bug 119302, which are VCL Windows-only, so unrelated.
Comment 5 Buovjaga 2018-09-25 18:10:35 UTC
(In reply to Jan-Marek Glogowski from comment #4)
> * I *can* reproduce the bug with Debian testing, which currently has Qt
> 5.11.1.

-> NEW
Comment 6 Katarina Behrens (Inactive) 2019-01-10 11:18:49 UTC
Can anyone still reproduce this w/ recent master?
Comment 7 Michael Weghorn 2019-01-10 14:19:24 UTC
Created attachment 148218 [details]
Screenshot of document recovery dialog without buttons

I can no longer reproduce with he "Options" dialog as described in the initial comment.

However, I have the described behaviour now with the document recovery dialog, e.g. using these steps:

1) run 'soffice --writer' from command line -> a new document opens
2) press Ctrl+C in the terminal -> LibreOffice is terminated
3) run 'soffice --writer' again

A screenshot of the dialog with missing buttons is attached. Buttons appear when hovering over their position using the mouse.


Version: 6.3.0.0.alpha0+
Build ID: 32b85ec64e5c901369ce3ce5dbda0e96f2ec7fc0
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-07_16:08:14
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Side note: This test was done using the daily build from https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@86-TDF/2019-01-07_16.08.14/ . For some reason, I don't get any document recovery dialog with my own master build; I don't know why. (It does not seem to be related to any source changes; I also don't get any dialog for older builds in bibisect repos...).
Comment 8 Jan-Marek Glogowski 2019-01-10 17:01:03 UTC
I can also still reproduce with master, where the steps in the 'soffice --base' wizard are not correctly displayed, but correctly updated when hovering over them.
Comment 9 Michael Weghorn 2019-02-11 10:21:10 UTC
*** Bug 123301 has been marked as a duplicate of this bug. ***
Comment 10 Michael Weghorn 2019-02-13 20:36:37 UTC
*** Bug 123448 has been marked as a duplicate of this bug. ***
Comment 11 Commit Notification 2019-02-27 00:02:36 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5e8276e665490d961c333f788469a5ecdb996d16%5E%21

tdf#119720 KDE5: Don't show hidden windows on modality change

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Michael Weghorn 2019-02-27 10:10:57 UTC
Thanks!

Verified with

Version: 6.3.0.0.alpha0+
Build ID: bf03f0b9b7f1dfc054c0d985f38147c4e875bd9f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Commit Notification 2019-02-27 20:13:52 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ccb2ab39935892230e04f536596a0b49a3529f5a%5E%21

tdf#119720 KDE5: Don't show hidden windows on modality change

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.